Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class MappingInfoNotFoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--javax.jdo.JDOException
                              |
                              +--javax.jdo.JDOCanRetryException
                                    |
                                    +--javax.jdo.JDOUserException
                                          |
                                          +--kodo.util.UserException
                                                |
                                                +--kodo.jdbc.meta.MappingInfoNotFoundException

All Implemented Interfaces:
  Serializable

public class MappingInfoNotFoundException
extends UserException

Exception type reserved for missing or invalid mapping information.

See Also:
  Serialized Form

Constructor Summary
`MappingInfoNotFoundException()`
`MappingInfoNotFoundException(String msg)`
`MappingInfoNotFoundException(String msg, Object failedObject)`

Methods inherited from class kodo.util.UserException
`writeReplace`

Methods inherited from class javax.jdo.JDOException
`getCause, getFailedObject, getNestedExceptions, initCause, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingInfoNotFoundException

    public MappingInfoNotFoundException()

### MappingInfoNotFoundException

    public MappingInfoNotFoundException(String msg)

### MappingInfoNotFoundException

    public MappingInfoNotFoundException(String msg,
                                        Object failedObject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.